<?php
namespace Teknisa\SM\Service;

class crm20000CasoAnexosService
{
    
    protected $anexosCasoFactory;
    
    public function __construct ($anexosCasoFactory){
        
        $this->anexosCasoFactory   = $anexosCasoFactory;
    }
    
    public function callForDeleteFilesByOriginNumber($row){
        
        $paramsDeleteFiles = array(
            
             "NRORIGEM"      => $row["NRORIGEM"]
       
        );
        
        $this->anexosCasoFactory->requestForDeleteFilesByOriginNumber($paramsDeleteFiles);
            
    }
    public function saveAnexo($nranexocontato, $nrseqcontato, $nmarquivo, $dscaminho, $dstipo, $vrtamanho, $idativo, $nrorg, $nrorginclusao, $cdoperinclusao, $dtultatu, $nrorgultatu, $cdoperultatu, $idorigem, $nrorigem){
        $params = array(
            "NRANEXOCONTATO" =>    $nranexocontato,
            "NRSEQCONTATO"   =>    $nrseqcontato,
            "NMARQUIVO"      =>    $nmarquivo,
            "DSCAMINHO"      =>    $dscaminho,
            "DSTIPO"         =>    $dstipo,
            "VRTAMANHO"      =>    $vrtamanho,
            "IDATIVO"        =>    $idativo,
            "NRORG"          =>    $nrorg,
            "NRORGINCLUSAO"  =>    $nrorginclusao,
            "CDOPERINCLUSAO" =>    $cdoperinclusao,
            "DTULTATU"       =>    $dtultatu,
            "NRORGULTATU"    =>    $nrorgultatu,
            "CDOPERULTATU"   =>    $cdoperultatu,
            "IDORIGEM"       =>    $idorigem,
            "NRORIGEM"       =>    $nrorigem
        );
        $this->anexosCasoFactory->saveAnexo($params);
            
    }
    
    public function callForGetFilesUrlByOriginNumber($row){
        
        $paramsSelectUrls = array(
            
            "NRORIGEM"      => $row["NRORIGEM"]
            
        );
        
        $fileUrls = $this->anexosCasoFactory->requestForGetFilesUrlByOriginNumber($paramsSelectUrls);

        return $fileUrls;
    }
}